@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/*** 全ページ共通 ***/
body {
	overflow-x: hidden;
}
main.main {
	padding-top: 0;
	padding-bottom: 100px;
}
.content {
	margin-top: 0;
}
.entry-content {
	margin-top: -1em;
	margin-bottom: 0;
}
.body .article {
	margin-bottom: 0;
}
.text-blue {
	color: #001eff;
}
/* 余白設定 */
.margin-bottom-100 {
	margin-bottom: 100px !important;
}
.margin-bottom-50 {
	margin-bottom: 50px !important;
}
.margin-bottom-0 {
	margin-bottom: 0 !important;
}
/* レスポンシブ対応 */
.pc-hide {
	display: none;
}
/* 見出し */
h2.company-heading,
h2.business-heading,
h2.recruit-heading,
h2.contact-heading {
	padding: 0;
	font-size: 2.5em;
	background-color: transparent;
	color: #ffffff;
}
h2.privacy-heading {
	padding: 0;
	font-size: 2.5em;
	background-color: transparent;
	color: #000000;
}
h3.company-heading,
h3.business-heading,
h3.recruit-heading,
h3.contact-heading {
	padding: 20px;
	border-left-width: 1em;
	border-left-color: #0013a3;
	font-size: 1.3em;
}
/* アイキャッチ */
.company-column.wp-block-cover,
.business-column.wp-block-cover,
.recruit-column.wp-block-cover,
.contact-column.wp-block-cover {
	width: 100vw;
	margin: 0 calc(50% - 50vw) 100px;
}
.privacy-column.wp-block-cover {
	width: 100vw;
	margin: 0 calc(50% - 50vw) 50px;
}
/* テーブル */
.wp-block-flexible-table-block-table.company-info table tbody tr th,
.wp-block-flexible-table-block-table.company-info table tbody tr td,
.wp-block-flexible-table-block-table.recruit-info table tbody tr th,
.wp-block-flexible-table-block-table.recruit-info table tbody tr td {
	padding: 1em;
}
.wp-block-flexible-table-block-table.company-info table tbody tr th:first-child,
.wp-block-flexible-table-block-table.recruit-info table tbody tr th:first-child {
	width: 25%;
	background-color: #e6e7ee;
	font-weight: bold;
}
.wp-block-flexible-table-block-table.recruit-info table tbody tr td span.fas {
	display: inline-block;
	padding-right: 0.5rem;
	color: #0013a3;
}
.wp-block-flexible-table-block-table.recruit-info table tbody tr td ul,
.wp-block-flexible-table-block-table.recruit-info table tbody tr td ol {
	margin-bottom: 0;
	padding-left: 1em;
}

/* お問い合わせページ用ボタン */
.contact-button .wp-block-button a {
	background-color: #0013a3;
	color: #ffffff;
	box-shadow: 5px 5px 10px rgba(99, 99, 102, 0.5);	/* ボタンの影 */
}
.contact-button .wp-block-button a:hover {
	background-color: rgba(0, 19, 163, 0.8);
	transition: all 0.3s ease-in-out;
}

/* ヘッダー */
/* 通常時 */
.logo-header {
	text-align: left;
}
.logo-header .site-name {
	padding: 0;
}
.menu-header {
	font-weight: bold;
}
.navi-in > ul li {
	height: 80px;
}
/* マウスホバー時 */
#navi .navi-in a:hover {
	background-color: rgba(255, 255, 255, 0.3);
}

/* トップ */
/* アピールエリア */
.appeal.wp-block-cover {
	min-height: calc(100vh - 206px);	/* ヘッダーの高さを考慮 */
	width: 100vw;
	margin: 0 calc(50% - 50vw) 100px;
}
.appeal::before {
	min-height: calc(100vh - 206px);	/* ヘッダーの高さを考慮 */
	content: "";
	position: absolute;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(99, 99, 102, 0.1);	/* 画像の明るさ設定 */
}
.appeal .wp-block-cover__inner-container,
.appeal-in {
	min-height: calc(100vh - 206px);	/* ヘッダーの高さを考慮 */
	position: absolute;
	right: 0;
	bottom: 0;
	left: 0;
}
.appeal-in {
	padding: 3% 1%;
}
.body .appeal .appeal-in > :last-child {
	margin: auto;
}
.appeal-content {
	background-color: rgba(99, 99, 102, 0.8);	/* アピールエリアの背景色 */
	max-width: 100%;
	padding: 3rem 1rem;
}
.appeal-title {
	color: #ffffff;	/* タイトルの色 */
	font-size: 3rem;
	text-shadow: 0 4px 4px rgba(230, 231, 238, 0.5);	/* タイトルの影 */
}
.appeal-message {
	margin-top: 1rem;
}
.appeal-message p {
	color: #ffffff;	/* メッセージの色 */
	font-size: 1.5rem;
}
/* 見出し */
.toppage-heading {
	padding: 1.25em;
}
/* ご挨拶 */
.body div.toppage-greeting {
	margin-bottom: 0;
}
.president-image {
	max-width: 480px;
}
/* 各ページへのカラム */
.toppage-column .wp-block-cover {
	padding: 0;
	align-items: start;
}
.toppage-column .wp-block-cover p {
	padding: 1rem 1rem 20% 1rem;
	color: #000000;
}
.toppage-column .wp-block-cover .wp-block-button {
	position: absolute;
	right: 0;
	margin: 1rem 1rem 0;
}
.toppage-column .wp-block-cover .wp-block-button a {
	background-color: #0013a3;
	color: #ffffff;
	box-shadow: 5px 5px 10px rgba(99, 99, 102, 0.5);	/* ボタンの影 */
}
.toppage-column .wp-block-cover .wp-block-button a:hover {
	background-color: rgba(0, 19, 163, 0.8);
	transition: all 0.3s ease-in-out;
}
.toppage-column .wp-block-column {
	box-shadow: 5px 5px 10px rgba(99, 99, 102, 0.5);	/* カラムの影 */
}

/*** 会社概要 ***/
/* 会社情報 */
.company-map {
    position: relative;
    width: 100%;
    padding-top: 56.25%;	/* 16:9 のアスペクト比 */
    height: 0;
}
.company-map > iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/*** 事業内容 ***/
/* 事業情報 */
.article .business-message {
	font-size: 2rem;
	color: #000b58;
	margin-bottom: 0.5em;
	text-shadow: 0 4px 4px rgba(99, 99, 102, 0.4);
}

/*** 採用情報 ***/
/* メッセージ */
.article .recruit-catch {
	font-size: 2rem;
	color: #000b58;
	margin-bottom: 0.5em;
	text-shadow: 0 4px 4px rgba(99, 99, 102, 0.4);
}
.wp-block-columns.recruit-image-column {
	margin-bottom: 1rem;
}

/*** お問い合わせ ***/
/* お問い合わせ方法 */
.wp-block-flexible-table-block-table.contact-info table tbody tr th,
.wp-block-flexible-table-block-table.contact-info table tbody tr td {
	padding: 1em;
}
.wp-block-flexible-table-block-table.contact-info table tbody tr th:first-child {
	width: 25%;
	background-color: #e6e7ee;
	font-weight: bold;
}
/* コンタクトフォーム */
.wpcf7-form {
	padding: 1rem;
	border: 2px solid #000b58;
	border-radius: 10px;
}
.wpcf7-form p {
	margin-bottom: 1.5em;
}
.wpcf7-form p:last-of-type {
	width: 50%;
	margin-top: 2em;
	margin-right: auto;
	margin-left: auto;
	margin-bottom: 0;
}
.wpcf7-form label {
	font-weight: bold;
}
.wpcf7-form .required-item,
.wpcf7-form .any-item {
	display: inline-block;
	padding: 3px 10px;
	margin: 1px 0.5em 0.25em 0;
	border-radius: 5px;
}
.wpcf7-form .required-item {
	background-color: rgba(255, 0 ,0, 0.3);
}
.wpcf7-form .any-item {
	background-color: #e6e7ee;
}
textarea.wpcf7-textarea {
	max-width: 100%;
}
.wpcf7-form .wpcf7-list-item-label {
	font-weight: normal;
}
input[type=submit] {
	background-color: #000b58;
	color: #ffffff;
	border-radius: 10px;
	font-size: 1em;
    font-weight: bold;
    padding: 0.75em;
	transition: all 0.3s ease-in-out;
}
.wpcf7-form p.contact-link {
	font-size: 0.85em;
	padding-left: 1em;
	margin-top: -1.5em;
}
.wpcf7-form p.contact-caption {
	font-size: 0.85em;
	color: #ff0000;
	padding-left: 1em;
	margin-top: -1.5em;
}
.wpcf7-form .contact-additional-info {
	font-size: 0.85em;
}
/* マウスホバー時 */
input[type=submit]:hover {
	background-color: rgba(0, 11, 88, 0.8);
}

/*** フッター ***/
#footer {
	margin-top: 0;
}
.navi-footer {
	font-weight: bold;
}
/* マウスホバー時 */
#footer a:not(.sns-button):hover {
	background-color: rgba(255, 255, 255, 0.3);
}

/*** トップへ戻る ***/
.go-to-top-button {
	transition: all 0.3s ease-in-out;
}
/* マウスホバー時 */
.go-to-top-button:hover {
	background-color: #e6e7fe;
	color: #000000;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/

	/* モバイルヘッダー */
	.mobile-header-menu-buttons {
		min-height: 60px;
		flex-direction: row-reverse;
	}
	.mobile-menu-buttons .logo-menu-button {
		padding: 0px 20px;
		justify-content: left;
	}
	.mobile-menu-buttons .menu-icon {
		font-size: 22px;
	}
	.mobile-menu-buttons .menu-caption {
		font-size: 12px;
	}

	/* モバイルヘッダー スライドイン */
	.navi-menu-content {
		background-color: #000b58;
	}
	.navi-menu-close-button,
	.menu-drawer a {
		color: #ffffff;
	}
	.navi-menu-close-button {
		padding: 10px;
	}
	.menu-drawer a {
		padding: 20px 6px;
		font-size: 18px;
	}
	
	/* トップ-アピールエリア */
	.appeal.wp-block-cover {
		/*background-attachment: fixed;*/	/* これがあると iPhone 端末で画像が拡大表示される事象があったため、無効化 */
		min-height: calc(100vh - 60px);	/* ヘッダーの高さを考慮 */
		min-width: 100%;
		background-size: cover;
		position: relative;
	}
	.appeal::before {
		min-height: calc(100vh - 60px);	/* ヘッダーの高さを考慮 */
	}
	.appeal .wp-block-cover__inner-container,
	.appeal-in {
		min-height: calc(100vh - 60px);	/* ヘッダーの高さを考慮 */
		top: 0;
	}
	.appeal-content {
		padding: 1rem;
	}
	.appeal-title {
		font-size: 2.5rem;
		line-height: 1.3;
	}
	.appeal-message {
		margin-top: 0.75rem;
	}
	.appeal-message p {
		font-size: 1.25rem;
	}
	body:where(.mblt-header-mobile-buttons, .mblt-header-and-footer-mobile-buttons) {
		margin-top: 60px;
	}
	
	/* テーブル */
	.wp-block-flexible-table-block-table table tbody tr th,
	.wp-block-flexible-table-block-table table tbody tr td {
		font-size: 16px;
	}
		
	/* モバイルフッター */
	.navi-footer {
		font-weight: normal;
	}
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/

	/* 全ページ */
	main.main {
		padding-top: 0;
	}
	.pc-hide {
		display: block;
	}
	.wp-block-button__link {
		font-size: 1em;
	}
	/* アイキャッチ */
	.company-column.wp-block-cover,
	.business-column.wp-block-cover,
	.recruit-column.wp-block-cover,
	.contact-column.wp-block-cover {
		margin-bottom: 75px;
	}
	
	
	/* トップページ */
	.toppage-column .wp-block-cover .wp-block-button {
		margin: 1rem 1rem 2rem;
	}
	.toppage-column .wp-block-column,
	.toppage-column .wp-block-column .wp-block-cover__image-background,
	.toppage-column .wp-block-column .wp-block-cover__background{
		max-height: 300px;
	}
	
	/* 採用情報 */
	/*.recruit-column .wp-block-column,
	.recruit-column .wp-block-column .wp-block-cover__image-background,
	.recruit-column .wp-block-column .wp-block-cover__background{
		max-height: 300px;
	}*/
}

/*768px以下*/
@media screen and (max-width: 768px){
	.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table > table td,
	.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table > table th {
		width: 100% !important;
        display: block;
	}
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
